Subject: Re: Cygwin port of Perl broken on Win32? Or does Cygwin not run on win32?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 7 Dec 2003 17:03:09 -0800

On Sun, Dec 07, 2003 at 04:51:40PM -0800, Rafael Kitover <[email-masked]> wrote:
> Yitzchak Scott-Thoennes wrote:
> 
> > Are whatever changes you had to make going back into the CPAN 
> > versions?
> 
> Short answer:
> 
> I will do my utmost to send the appropriate patches to the appropriate
> people.
> 
> Long answer:
> 
> It's unlikely, but I'll do my best. CPAN modules are owned by their
> authors, and no mechanism exists to update modules which their authors
> do not have the time to maintain any longer (such as the
> non-maintainer-upload system Debian uses) maybe if I manage to track
> them down ask the authors' permission. Libwin32 itself is just a bundle
> Sarathy had to make that itself has very minimal changes from the
> original modules.

If the original owner has gone AWOL, you can ask to have ownership
transfered to you (but that may not be what you want :)

> As far as the Win32:: methods marked CORE (in perldoc Win32), last year
> I tried to abstract those functions out into a Perl extension that would
> be a core extension, but didn't quite get there. I'll try to do so
> again.

Seems like it would make sense to include those in the core for cygwin as well.
If you'll give me a pointer to what you've done, I can see what I can do.

> It's very often much easier to fix something then to get those fixes
> propagated upstream. Especially since the requirements may be different
> for an upstream patch, and depending on how active the project is. Also
> there's lots of cleaning up to do to make all this happen.
> 
> BTW, I've just ported Win32::GUI to Cygwin. Just taking care of some
> warnings and regression tests and will post an announcement when it's
> uploaded and in the libwin32-exp package.

Great!  Thanks!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/